Package org.eclipse.emf.cdo.spi.server

# Interface ISessionProtocol

All Superinterfaces:
  `CDOProtocol`, `CDOProtocolConstants`, `IAuthenticationProtocol`, `org.eclipse.net4j.util.event.INotifier`

public interface ISessionProtocol extends CDOProtocol, IAuthenticationProtocol, org.eclipse.net4j.util.event.INotifier
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocol

`CDOProtocol.CommitData, CDOProtocol.CommitNotificationInfo`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocolConstants

`CDOProtocolConstants.UnitOpcode`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocolConstants

`DEFAULT_OPTIMISTIC_LOCKING_TIMEOUT, NO_MORE_REMOTE_SESSIONS, PROTOCOL_NAME, PROTOCOL_VERSION, QUERY_LANGUAGE_INSTANCES, QUERY_LANGUAGE_INSTANCES_EXACT, QUERY_LANGUAGE_INSTANCES_TYPE, QUERY_LANGUAGE_RESOURCES, QUERY_LANGUAGE_RESOURCES_EXACT_MATCH, QUERY_LANGUAGE_RESOURCES_FOLDER_ID, QUERY_LANGUAGE_XREFS, QUERY_LANGUAGE_XREFS_SOURCE_REFERENCES, QUERY_RESULT_EXCEPTION, QUERY_RESULT_PRIMITIVE, QUERY_RESULT_REVISION, REFRESH_CHANGED_OBJECT, REFRESH_DETACHED_OBJECT, REFRESH_FINISHED, REFRESH_PACKAGE_UNIT, RELEASE_ALL_LOCKS, REMOTE_SESSION_CLOSED, REMOTE_SESSION_CUSTOM_DATA, REMOTE_SESSION_OPENED, REMOTE_SESSION_SUBSCRIBED, REMOTE_SESSION_UNSUBSCRIBED, REPLICATE_BRANCH, REPLICATE_COMMIT, REPLICATE_FINISHED, REPLICATE_LOCKAREA, REVISION_DOES_NOT_EXIST, ROLLBACK_REASON_COMMIT_CONFLICT, ROLLBACK_REASON_CONTAINMENT_CYCLE, ROLLBACK_REASON_OPTIMISTIC_LOCKING, ROLLBACK_REASON_REFERENTIAL_INTEGRITY, ROLLBACK_REASON_UNIT_INTEGRITY, ROLLBACK_REASON_UNKNOWN, ROLLBACK_REASON_VALIDATION_ERROR, SIGNAL_AUTHENTICATION, SIGNAL_AUTHORIZE_OPERATIONS, SIGNAL_BRANCH_NOTIFICATION, SIGNAL_CHANGE_CREDENTIALS, SIGNAL_CHANGE_SUBSCRIPTION, SIGNAL_CHANGE_TAG, SIGNAL_CLOSE_VIEW, SIGNAL_COMMIT_DELEGATION, SIGNAL_COMMIT_NOTIFICATION, SIGNAL_COMMIT_TRANSACTION, SIGNAL_CREATE_BRANCH, SIGNAL_CREDENTIALS_CHALLENGE, SIGNAL_DELETE_BRANCH, SIGNAL_DISABLE_PASSIVE_UPDATE, SIGNAL_ENABLE_LOCK_NOTIFICATION, SIGNAL_GET_REMOTE_SESSIONS, SIGNAL_HANDLE_REVISIONS, SIGNAL_LOAD_BRANCH, SIGNAL_LOAD_BRANCHES, SIGNAL_LOAD_CHANGE_SETS, SIGNAL_LOAD_CHUNK, SIGNAL_LOAD_COMMIT_DATA, SIGNAL_LOAD_COMMIT_INFOS, SIGNAL_LOAD_LOB, SIGNAL_LOAD_MERGE_DATA, SIGNAL_LOAD_OBJECT_LIFETIME, SIGNAL_LOAD_PACKAGES, SIGNAL_LOAD_PERMISSIONS, SIGNAL_LOAD_REVISION_BY_VERSION, SIGNAL_LOAD_REVISIONS, SIGNAL_LOAD_SUB_BRANCHES, SIGNAL_LOAD_TAGS, SIGNAL_LOCK_AREA, SIGNAL_LOCK_DELEGATION, SIGNAL_LOCK_NOTIFICATION, SIGNAL_LOCK_OBJECTS, SIGNAL_LOCK_OWNER_REMAPPED_NOTIFICATION, SIGNAL_LOCK_STATE, SIGNAL_OBJECT_LOCKED, SIGNAL_OPEN_SESSION, SIGNAL_OPEN_VIEW, SIGNAL_OPENED_SESSION, SIGNAL_QUERY, SIGNAL_QUERY_CANCEL, SIGNAL_QUERY_LOBS, SIGNAL_REFRESH_SESSION, SIGNAL_REMOTE_MESSAGE, SIGNAL_REMOTE_MESSAGE_NOTIFICATION, SIGNAL_REMOTE_SESSION_NOTIFICATION, SIGNAL_REMOTE_TOPIC, SIGNAL_RENAME_BRANCH, SIGNAL_REPLICATE_REPOSITORY, SIGNAL_REPLICATE_REPOSITORY_RAW, SIGNAL_REPOSITORY_STATE_NOTIFICATION, SIGNAL_REPOSITORY_TIME, SIGNAL_REPOSITORY_TYPE_NOTIFICATION, SIGNAL_RESET_TRANSACTION, SIGNAL_SET_LOCK_NOTIFICATION_MODE, SIGNAL_SET_PASSIVE_UPDATE_MODE, SIGNAL_SWITCH_TARGET, SIGNAL_TAG_NOTIFICATION, SIGNAL_UNIT, SIGNAL_UNLOCK_DELEGATION, SIGNAL_UNLOCK_OBJECTS, SIGNAL_UNSUBSCRIBE_REMOTE_SESSIONS, SIGNAL_USER_OFFSET, SIGNAL_VIEW_CLOSED_NOTIFICATION, SIGNAL_XA_COMMIT_TRANSACTION_CANCEL, SIGNAL_XA_COMMIT_TRANSACTION_PHASE1, SIGNAL_XA_COMMIT_TRANSACTION_PHASE2, SIGNAL_XA_COMMIT_TRANSACTION_PHASE3, X_COMPRESSION`

## Method Summary

Modifier and Type
Method
Description
`CDOAuthenticationResult`
`sendAuthenticationChallenge(byte[] randomToken)`
Deprecated.
As of 4.2 `IAuthenticationProtocol.sendAuthenticationChallenge(Challenge)` is called.
`void`
`sendBranchNotification(CDOBranchChangedEvent.ChangeKind changeKind, CDOBranch... branches)`
`void`
`sendBranchNotification(InternalCDOBranch branch)`
Deprecated.
As of 4.3 use `sendBranchNotification(InternalCDOBranch, ChangeKind)`.
`void`
`sendBranchNotification(InternalCDOBranch branch, CDOBranchChangedEvent.ChangeKind changeKind)`
Deprecated.
As of 4.15 use `sendBranchNotification(ChangeKind, CDOBranch...)`.
`void`
`sendCommitNotification(CDOCommitInfo commitInfo)`
Deprecated.
As of 4.2 use `sendCommitNotification(CDOCommitInfo, boolean)`.
`void`
`sendCommitNotification(CDOCommitInfo commitInfo, boolean clearResourcePathCache)`
Deprecated.
As of 4.3 use `sendCommitNotification(CommitNotificationInfo)`.
`void`
`sendCommitNotification(CDOProtocol.CommitNotificationInfo info)`
`void`
`sendLockNotification(CDOLockChangeInfo lockChangeInfo)`
Deprecated.
As of 4.11 use `sendLockNotification(CDOLockChangeInfo, Set)`.
`void`
`sendLockNotification(CDOLockChangeInfo lockChangeInfo, Set<CDOID> filter)`
`void`
`sendLockOwnerRemappedNotification(CDOBranch branch, CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`void`
`sendRemoteMessageNotification(InternalSession sender, CDORemoteSessionMessage message)`
Deprecated.
As of 4.8 use `sendRemoteMessageNotification(InternalSession, InternalTopic, CDORemoteSessionMessage)`.
`void`
`sendRemoteMessageNotification(InternalSession sender, InternalTopic topic, CDORemoteSessionMessage message)`
`void`
`sendRemoteSessionNotification(InternalSession sender, byte opcode)`
Deprecated.
As of 4.8 use `sendRemoteSessionNotification(InternalSession, InternalTopic, byte)`.
`void`
`sendRemoteSessionNotification(InternalSession sender, InternalTopic topic, byte opcode)`
`void`
`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState)`
Deprecated.
`void`
`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState, CDOID rootResourceID)`
`void`
`sendRepositoryTypeNotification(CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType)`
`void`
`sendTagNotification(int modCount, String oldName, String newName, CDOBranchPoint branchPoint)`
`void`
`sendViewClosedNotification(int viewID)`

### Methods inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocol

`getSession`

### Methods inherited from interface org.eclipse.emf.cdo.spi.server.IAuthenticationProtocol

`sendAuthenticationChallenge, sendCredentialsChallenge`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### sendAuthenticationChallenge

@Deprecated CDOAuthenticationResult sendAuthenticationChallenge(byte[] randomToken) throws Exception
Deprecated.
As of 4.2 `IAuthenticationProtocol.sendAuthenticationChallenge(Challenge)` is called.

Throws:
  `Exception`
Since:
  4.0

### sendRepositoryTypeNotification

void sendRepositoryTypeNotification(CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType) throws Exception

Throws:
  `Exception`

### sendRepositoryStateNotification

@Deprecated void sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState) throws Exception
Deprecated.

Throws:
  `Exception`

### sendRepositoryStateNotification

void sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState, CDOID rootResourceID) throws Exception

Throws:
  `Exception`
Since:
  4.1

### sendBranchNotification

@Deprecated void sendBranchNotification(InternalCDOBranch branch) throws Exception
Deprecated.
As of 4.3 use `sendBranchNotification(InternalCDOBranch, ChangeKind)`.

Throws:
  `Exception`

### sendBranchNotification

@Deprecated void sendBranchNotification(InternalCDOBranch branch, CDOBranchChangedEvent.ChangeKind changeKind) throws Exception
Deprecated.
As of 4.15 use `sendBranchNotification(ChangeKind, CDOBranch...)`.

Throws:
  `Exception`
Since:
  4.3

### sendBranchNotification

void sendBranchNotification(CDOBranchChangedEvent.ChangeKind changeKind, CDOBranch... branches) throws Exception

Throws:
  `Exception`
Since:
  4.15

### sendTagNotification

void sendTagNotification(int modCount, String oldName, String newName, CDOBranchPoint branchPoint) throws Exception

Throws:
  `Exception`
Since:
  4.10

### sendCommitNotification

@Deprecated void sendCommitNotification(CDOCommitInfo commitInfo) throws Exception
Deprecated.
As of 4.2 use `sendCommitNotification(CDOCommitInfo, boolean)`.

Throws:
  `Exception`

### sendCommitNotification

@Deprecated void sendCommitNotification(CDOCommitInfo commitInfo, boolean clearResourcePathCache) throws Exception
Deprecated.
As of 4.3 use `sendCommitNotification(CommitNotificationInfo)`.

Throws:
  `Exception`
Since:
  4.2

### sendCommitNotification

void sendCommitNotification(CDOProtocol.CommitNotificationInfo info) throws Exception

Throws:
  `Exception`
Since:
  4.3

### sendRemoteSessionNotification

@Deprecated void sendRemoteSessionNotification(InternalSession sender, byte opcode) throws Exception
Deprecated.
As of 4.8 use `sendRemoteSessionNotification(InternalSession, InternalTopic, byte)`.

Throws:
  `Exception`

### sendRemoteSessionNotification

void sendRemoteSessionNotification(InternalSession sender, InternalTopic topic, byte opcode) throws Exception

Throws:
  `Exception`
Since:
  4.17

### sendRemoteMessageNotification

@Deprecated void sendRemoteMessageNotification(InternalSession sender, CDORemoteSessionMessage message) throws Exception
Deprecated.
As of 4.8 use `sendRemoteMessageNotification(InternalSession, InternalTopic, CDORemoteSessionMessage)`.

Throws:
  `Exception`

### sendRemoteMessageNotification

void sendRemoteMessageNotification(InternalSession sender, InternalTopic topic, CDORemoteSessionMessage message) throws Exception

Throws:
  `Exception`
Since:
  4.17

### sendLockNotification

@Deprecated void sendLockNotification(CDOLockChangeInfo lockChangeInfo) throws Exception
Deprecated.
As of 4.11 use `sendLockNotification(CDOLockChangeInfo, Set)`.

Throws:
  `Exception`
Since:
  4.1

### sendLockNotification

void sendLockNotification(CDOLockChangeInfo lockChangeInfo, Set<CDOID> filter) throws Exception

Throws:
  `Exception`
Since:
  4.11

### sendLockOwnerRemappedNotification

void sendLockOwnerRemappedNotification(CDOBranch branch, CDOLockOwner oldOwner, CDOLockOwner newOwner) throws Exception

Throws:
  `Exception`
Since:
  4.19

### sendViewClosedNotification

void sendViewClosedNotification(int viewID) throws Exception

Throws:
  `Exception`
Since:
  4.15